##  for Mageia 9  ##

%define srcname glad2

Name:    python-%{srcname}
Summary: Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Version: 2.0.6
Release: 1.np9
Group:   Development/Python
# Mostly MIT, Apache-2.0 for Khronos and EGL specifications/headers.
License: MIT and Apache-2.0
URL:     https://github.com/Dav1dde/glad
Source0: %{srcname}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
BuildRequires: python3-jinja2

%description
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL Loader made for your needs.


%package -n %{srcname}
Summary:  Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:    Development/Python
Requires: python3-glad2 = %{version}-%{release}

%description -n %{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL Loader made for your needs.


%package -n python3-%{srcname}
Summary: Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:   Development/Python

%description -n python3-%{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL Loader made for your needs.


%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '1{\@^#!@d}' glad/__main__.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files glad


%files -n %{srcname}
%doc README.md
%license LICENSE
%{_bindir}/glad

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Fri Apr 19 2024 tomcat <> 2.0.6-1.np9
- initial build for Mageia 9 (needed for libplacebo), imported from Mageia Cauldron repo.
